class ColorView extends Control {
  int r,g,b;
  String caption;
  
  ColorView(int x, int y, int w, int h, String caption) {
    super(x,y,w,h);
    this.caption = caption;
  }
  
  void draw() {
    pushStyle();
    fill(r,g,b);
    rect(x,y,w,h);
    fill((r+127)%255,(g+127)%255,(b+127)%255);
    textAlign(CENTER, CENTER);
    text(caption + "\n(" + r + "," + g + "," + b + ")", x + w/2, y + h/2);
    popStyle();
  }  
}
