class Wheeler extends Control {
  
  float value;
  
  String caption;
  
  float valMin, valMax, step;
  
  Wheeler(int x, int y, int w, int h, String caption) {
    super(x,y,w,h);
    this.caption = caption;
    value = 0;
    valMin = 0;
    valMax = 255;
    step = 1;
  }
  
  void mouseWheel(int delta) {
    value -= (delta * step);
    value = constrain(value, valMin, valMax);
  }
  
  void draw() {
    pushStyle();
    fill(value);
    rect(x,y,w,h);
    fill((value + 127) % 255);
    textAlign(CENTER, CENTER);
    text(caption + " : " + value, x + w/2, y + h/2);
    popStyle();
  }
  
};
